Try the fastest and simplest way to install ONLYOFFICE

DocumentServer and MySQL Community Server

Issues during installation and related to database

DocumentServer and MySQL Community Server

Postby Paul » Wed Jun 24, 2015 5:26 am

Hello,
I've try to install Onlyoffice Community Server and Document Server on Debian Jessie through debian repositories. Installation of Community Server went well and it's working fine but I've a problem with Document Server.
I've installed all required components and dependencies but when I run:
apt-get install onlyoffice-documentserver
I get:
The following packages have unmet dependencies:
onlyoffice-documentserver : Depends: mysql-server-5.6 (>= 5.6.4)
E: Unable to correct problems, you have held broken packages.

MySQL specs:
#dpkg -l mysql-server
mysql-server 5.6.25-2debian8 amd64 MySQL Server meta package depending on latest version

#mysql
Welcome to the MySQL monitor. Commands end with ; or \g.
Your MySQL connection id is 28

Server version: 5.6.25 MySQL Community Server (GPL)

Copyright (c) 2000, 2015, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective
owners.
Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.
mysql> \q

Can anyone help me with this issue? What am I doing wrong?
Thank you,
Paul
 
Posts: 2
Joined: Wed Jun 24, 2015 5:08 am

Re: DocumentServer and MySQL Community Server

Postby Dean » Wed Jun 24, 2015 11:09 am

Did you try to update mysql-server? This package was automatically installed with our Community-server.
Dean
 
Posts: 700
Joined: Tue Sep 30, 2014 11:04 am

Re: DocumentServer and MySQL Community Server

Postby Paul » Wed Jun 24, 2015 11:57 am

I did try to run apt-get upgrade but there is no packages to upgrade
My APT Repository:
deb http://download.onlyoffice.com/repo/debian squeeze main
Ign. http://repo.mysql.com jessie/mysql-5.6 Translation-pl_PL
Ign. http://repo.mysql.com jessie/mysql-5.6 Translation-pl
Ign. http://repo.mysql.com jessie/mysql-5.6 Translation-en
Ign. http://repo.mysql.com jessie/mysql-apt-config Translation-pl_PL
Ign. http://repo.mysql.com jessie/mysql-apt-config Translation-pl
Ign. http://repo.mysql.com jessie/mysql-apt-config Translation-en
Paul
 
Posts: 2
Joined: Wed Jun 24, 2015 5:08 am

Re: DocumentServer and MySQL Community Server

Postby Dean » Wed Jun 24, 2015 1:24 pm

Forwarded to testing team, we detected the issue. sorry for the inconvenience.
Dean
 
Posts: 700
Joined: Tue Sep 30, 2014 11:04 am

Re: DocumentServer and MySQL Community Server

Postby ArLex » Tue Aug 11, 2015 9:39 am

Dean wrote:Forwarded to testing team, we detected the issue. sorry for the inconvenience.

I have the same problem. What's about new deb-package with right dependences ?
ArLex
 
Posts: 2
Joined: Tue Aug 11, 2015 9:36 am

Re: DocumentServer and MySQL Community Server

Postby ArLex » Tue Aug 11, 2015 9:41 am

I have the same issue. What's about solving ?
ArLex
 
Posts: 2
Joined: Tue Aug 11, 2015 9:36 am

Re: DocumentServer and MySQL Community Server

Postby Dean » Tue Aug 11, 2015 12:33 pm

The problem is not in the unmet dependencies only - it is better to install the deb-packages on two different servers - or use Docker containers.
Dean
 
Posts: 700
Joined: Tue Sep 30, 2014 11:04 am

Re: DocumentServer and MySQL Community Server

Postby craucy » Mon Dec 07, 2015 4:57 pm

Hello everyone,

Any news about this issue? Is-it solved?

Regards,

Christopher Raucy.
craucy
 
Posts: 10
Joined: Mon Dec 07, 2015 4:36 pm
Location: Beglium

Re: DocumentServer and MySQL Community Server

Postby Dean » Tue Dec 08, 2015 6:46 am

Hello, Cristopher.

Yes, it is. The solution is to use 2 separate servers for installation with deb-packages or use Docker.
Dean
 
Posts: 700
Joined: Tue Sep 30, 2014 11:04 am


Return to Installation issues

Who is online

Users browsing this forum: No registered users and 4 guests